Foreman - Bug #13804

apipie:cache fails with :"en-GB" is not a valid locale

02/19/2016 04:15 AM - Dominic Cleal

Status: Closed
Priority: Normal
Assignee: Dominic Cleal
Category: API

Target version: 1.11.0

Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p

ull/3211
Description

apipie:cache is failing on source installations and Debian package builds:

17:22:45 /usr/bin/bundle exec rake apipie:cache cache_part=resources —--trace RAILS_ENV=production
17:22:48 ** Invoke apipie:cache (first_time)

17:22:48 ** Invoke environment (first_time)

17:22:48 ** Execute environment

17:22:50 Apipie cache enabled but not present yet. Run apipie:cache rake task to speed up API call
S.

17:22:52 ** Execute apipie:cache

17:23:00 rake aborted!

17:23:00 ActionView::Template::Error: :"en-GB" is not a valid locale

17:23:00 /var/lib/gems/2.1.0/gems/i18n-0.7.0/1ib/i18n.rb:284:in "enforce_available_locales!'
17:23:00 /var/lib/gems/2.1.0/gems/i18n-0.7.0/1ib/il18n.rb:151:in "translate'

17:23:00 /var/lib/gems/2.1.0/gems/actionview—4.1.14.1/1lib/action_view/helpers/translation_helper.r
b:68:in “translate'

17:23:00 /var/lib/gems/2.1.0/gems/apipie-rails—-0.3.6/app/views/apipie/apipies/_method_detail.erb:2
6:in °__var_lib_gems gems_apipie_rails app_views_apipie_apipies_ _method_detail_erb__ 27

15372476469588294_93278500"
17:23:00 /var/lib/gems/2.1.0/gems/actionview—4.1.14.

render'
17:23:00 /var/lib/gems/2.
n " instrument'

17:23:00 /var/lib/gems/2.
nt'
17:23:00
17:23:00
:306:1in
17:23:00
:279:1in
17:23:00
b:38:in
17:23:00
n “block
17:23:00
nter.rb:20:in

/var/lib/gems/2.
/var/lib/gems/2.
‘render_partial’
/var/lib/gems/2.
"block in render'

in instrument'

“instrument'

17:23:00 /var/lib/gems/2.1.

n "instrument'

17:23:00 /var/lib/gems/2.
b:38:in "instrument'
17:23:00 /var/lib/gems/2.
:278:1in “render'

17:23:00 /var/lib/gems/2.
render_partial'

17:23:00 /var/lib/gems/2.
render'
/var/lib/gems/2.1.

.0/gems/activesupport-4.1.
.0/gems/actionview—-4.1.14.

.0/gems/actionview-4.1.14.
.0/gems/actionview-4.1.14.

.0/gems/actionview—-4.1.14.

/var/lib/gems/2.1.0/gems/actionview—-4.1.14.
"block in instrument'
/var/lib/gems/2.1.0/gems/activesupport-4.1.

0/gems/activesupport—-4.1.
0/gems/activesupport-4.1.
.0/gems/actionview—-4.1.14.
.0/gems/actionview—-4.1.14.
.0/gems/actionview-4.1.14.

.0/gems/actionview—-4.1.14.

1/1lib/action_view/template.rb:145:in "block in
14.1/1lib/active_support/notifications.rb:161:1
1/1lib/action_view/template.rb:339:in "instrume

1/1lib/action_view/template.rb:143:in “render'
1/1lib/action_view/renderer/partial_renderer.rb

1/1lib/action_view/renderer/partial_renderer.rb
1/1lib/action_view/renderer/abstract_renderer.r
14.1/1ib/active_support/notifications.rb:159:1
14.1/1ib/active_support/notifications/instrume
14.1/1lib/active_support/notifications.rb:159:1
1/1ib/action_view/renderer/abstract_renderer.r
1/1lib/action_view/renderer/partial_renderer.rb
1/1ib/action_view/renderer/renderer.rb:47:in

1/lib/action_view/renderer/renderer.rb:21:in
17:23:00 /var/lib/gems/2.1.0/gems/actionview-4.1.14.1/1ib/action_view/helpers/rendering_helper.rb:
32:in “render'

17:23:00 /var/lib/gems/2.1.0/gems/apipie-rails—-0.3.6/app/views/apipie/apipies/resource.html.erb:70
:in "block in __var_lib_gems gems_apipie_rails app_views_apipie_apipies_resource_html_
erb__ 1364166800221332498_93069600"'

17:23:00 /var/lib/gems/2.1.0/gems/apipie-rails—-0.3.6/app/views/apipie/apipies/resource.html.erb:39
:in “each’

17:23:00 /var/lib/gems/2.1.0/gems/apipie-rails-0.3.6/app/views/apipie/apipies/resource.html.erb:39
:in " __var_lib_gems gems_apipie_rails app_views_apipie_apipies_resource_html_erb__ 136
4166800221332498_93069600"

17:23:00 /var/lib/gems/2.1.0/gems/actionview—4.1.14.1/1ib/action_view/template.rb:145:in “block in
render'

17:23:00 /var/lib/gems/2.1.0/gems/activesupport-4.1.14.1/1ib/active_support/notifications.rb:161:1
n “instrument'

17:23:00 /var/lib/gems/2.1.0/gems/actionview—4.1.14.1/1ib/action_view/template.rb:339:in "instrume
nt'

17:23:00 /var/lib/gems/2.1.0/gems/actionview-4.1.14.1/1ib/action_view/template.rb:143:in "“render'
17:23:00 /var/lib/gems/2.1.0/gems/actionview—-4.1.14.1/1ib/action_view/renderer/template_renderer.r

b:55:in "block (2 levels) in render_template'

17:23:00 /var/lib/gems/2.1.0/gems/actionview—-4.1.14.1/1ib/action_view/renderer/abstract_renderer.r

b:38:in "block in instrument'

17:23:00 /var/lib/gems/2.1.0/gems/activesupport-4.1.14.1/1ib/active_support/notifications.rb:159:1
n "block in instrument'

17:23:00 /var/lib/gems/2.1.0/gems/activesupport-4.1.14.1/1ib/active_support/notifications/instrume
nter.rb:20:in "instrument'

17:23:00 /var/lib/gems/2.1.0/gems/activesupport-4.1.14.1/1ib/active_support/notifications.rb:159:1
n “instrument'

17:23:00 /var/lib/gems/2.1.0/gems/actionview—-4.1.14.1/1ib/action_view/renderer/abstract_renderer.r

b:38:in "“instrument'

17:23:00 /var/lib/gems/2.1.0/gems/actionview—4.1.14.1/1ib/action_view/renderer/template_renderer.r

b:54:in "block in render_template’

17:23:00 /var/lib/gems/2.1.0/gems/actionview—4.1.14.1/1ib/action_view/renderer/template_renderer.r

b:62:in "render_with_layout'

17:23:00 /var/lib/gems/2.1.0/gems/actionview—-4.1.14.1/1ib/action_view/renderer/template_renderer.r

b:53:in "render_template'

17:23:00 /var/lib/gems/2.1.0/gems/actionview—-4.1.14.1/1ib/action_view/renderer/template_renderer.r

b:17:in "render'

17:23:00 /var/lib/gems/2.1.0/gems/actionview—-4.1.14.1/1ib/action_view/renderer/renderer.rb:42:1in
render_template'

17:23:00 /var/lib/gems/2.1.0/gems/actionview—4.1.14.1/1ib/action_view/renderer/renderer.rb:23:in
render'

17:23:00 /var/lib/gems/2.1.0/gems/actionview-4.1.14.1/1ib/action_view/helpers/rendering_helper.rb:
32:in “render'

17:23:00 /var/lib/gems/2.1.0/gems/apipie-rails-0.3.6/1lib/tasks/apipie.rake:120:in ‘block in render

_page'

17:23:00 /var/lib/gems/2.1.0/gems/apipie-rails—-0.3.6/1lib/tasks/apipie.rake:116:in ‘open'

17:23:00 /var/lib/gems/2.1.0/gems/apipie-rails-0.3.6/1ib/tasks/apipie.rake:116:in 'render_page'
17:23:00 /var/lib/gems/2.1.0/gems/apipie-rails-0.3.6/1ib/tasks/apipie.rake:163:in "block in genera

te_resource_pages'

17:23:00 /var/lib/gems/2.1.0/gems/apipie-rails-0.3.6/1lib/tasks/apipie.rake:157:in “each'

17:23:00 /var/lib/gems/2.1.0/gems/apipie-rails—-0.3.6/1lib/tasks/apipie.rake:157:in "generate_resour
ce_pages'

17:23:00 /var/lib/gems/2.1.0/gems/apipie-rails-0.3.6/1ib/tasks/apipie.rake:90:in “block (5 levels)
in <top (required)>"'

17:23:00 /var/lib/gems/2.1.0/gems/apipie-rails-0.3.6/1ib/tasks/apipie.rake:81:in “each'

17:23:00 /var/lib/gems/2.1.0/gems/apipie-rails—-0.3.6/1lib/tasks/apipie.rake:81:in "block (4 levels)
in <top (required)>'

17:23:00 /var/lib/gems/2.1.0/gems/apipie-rails-0.3.6/1lib/tasks/apipie.rake:66:in “each'

17:23:00 /var/lib/gems/2.1.0/gems/apipie-rails—-0.3.6/1lib/tasks/apipie.rake:66:in "block (3 levels)
in <top (required)>"'

17:23:00 /var/lib/gems/2.1.0/gems/apipie-rails-0.3.6/1ib/tasks/apipie.rake:191:in ‘with_loaded_doc

umentation'

17:23:00 /var/lib/gems/2.1.0/gems/apipie-rails—-0.3.6/1lib/tasks/apipie.rake:64:in "block (2 levels)
in <top (required)>'

17:23:00 /var/lib/gems/2.1.0/gems/rake-10.5.0/1ib/rake/task.rb:240:in “call’

17:23:00 /var/lib/gems/2.1.0/gems/rake-10.5.0/1ib/rake/task.rb:240:in “block in execute'

17:23:00 /var/lib/gems/2.1.0/gems/rake-10.5.0/1ib/rake/task.rb:235:in “each'
17:23:00 /var/lib/gems/2.1.0/gems/rake-10.5.0/1ib/rake/task.rb:235:1in "execute'

17:23:00 /var/lib/gems/2.1.0/gems/rake-10.5.0/1ib/rake/task.rb:179:in "block in invoke_with_call_c
hain'

17:23:00 /usr/lib/ruby/2.1.0/monitor.rb:211:in “mon_synchronize'

17:23:00 /var/lib/gems/2.1.0/gems/rake-10.5.0/1ib/rake/task.rb:172:in "invoke_with_call_chain'
17:23:00 /var/lib/gems/2.1.0/gems/rake-10.5.0/1lib/rake/task.rb:165:in " invoke'

17:23:00 /var/lib/gems/2.1.0/gems/rake-10.5.0/1ib/rake/application.rb:150:in "~ invoke_task'
17:23:00 /var/lib/gems/2.1.0/gems/rake-10.5.0/1ib/rake/application.rb:106:in ‘block (2 levels) in
top_level'

17:23:00 /var/lib/gems/2.1.0/gems/rake-10.5.0/1ib/rake/application.rb:106:in “each'

17:23:00 /var/lib/gems/2.1.0/gems/rake-10.5.0/1ib/rake/application.rb:106:in ‘block in top_level'
17:23:00 /var/lib/gems/2.1.0/gems/rake-10.5.0/1ib/rake/application.rb:115:in “run_with_threads'
17:23:00 /var/lib/gems/2.1.0/gems/rake-10.5.0/1ib/rake/application.rb:100:in "“top_level'

17:23:00 /var/lib/gems/2.1.0/gems/rake-10.5.0/1ib/rake/application.rb:78:in “block in run'
17:23:00 /var/lib/gems/2.1.0/gems/rake-10.5.0/1ib/rake/application.rb:176:in " standard_exception_h
andling'

17:23:00 /var/lib/gems/2.1.0/gems/rake-10.5.0/1ib/rake/application.rb:75:in "“run'

17:23:00 /var/lib/gems/2.1.0/gems/rake-10.5.0/bin/rake:33:in “<top (required)>'

17:23:00 /usr/local/bin/rake:23:in "~ load'

17:23:00 /usr/local/bin/rake:23:in ~<main>'

17:23:00 Il8n::InvalidLocale: :"en-GB" is not a valid locale

17:23:00 /var/lib/gems/2.1.0/gems/i18n-0.7.0/1ib/1i18n.rb:284:in ‘enforce_available_locales!'
17:23:00 /var/lib/gems/2.1.0/gems/118n-0.7.0/1ib/i18n.rb:151:in ‘translate'

17:23:00 /var/lib/gems/2.1.0/gems/actionview—4.1.14.1/1lib/action_view/helpers/translation_helper.r
b:68:in "translate'

17:23:00 /var/lib/gems/2.1.0/gems/apipie-rails-0.3.6/app/views/apipie/apipies/_method_detail.erb:2
6:in *__var_lib_gems gems_apipie_rails app_views_apipie_apipies_ _method_detail_erb__ 27

15372476469588294_93278500"
17:23:00 /var/lib/gems/2.1.0/gems/actionview—4.1.14.
render'

1/1lib/action_view/template.rb:145:in “block in

=

17:23:00 /var/lib/gems/2.

.0/gems/activesupport-4.1.

n “instrument'

17:23:00 /var/lib/gems/2.1.0/gems/actionview-4.1.14.
nt'

17:23:00 /var/lib/gems/2.1.0/gems/actionview—4.1.14.
17:23:00 /var/lib/gems/2.1.0/gems/actionview—4.1.14
:306:in “render_partial'

17:23:00 /var/lib/gems/2.1.0/gems/actionview—4.1.14.
:279:in “block in render'

17:23:00 /var/lib/gems/2.1.0/gems/actionview—4.1.14.
b:38:in "block in instrument'

17:23:00 /var/lib/gems/2.1.0/gems/activesupport-4.1.
n "block in instrument'

17:23:00 /var/lib/gems/2.1.0/gems/activesupport-4.1.

nter.rb:20:1in

‘instrument'
17:23:00 /var/lib/gems/2.1.

0/gems/activesupport—-4.1.

14.1/1ib/active_support/notifications.rb:161:1
1/1lib/action_view/template.rb:339:in "instrume

1/1lib/action_view/template.rb:143:in “render'

.1/1lib/action_view/renderer/partial_renderer.rb

1/1lib/action_view/renderer/partial_renderer.rb
1/1lib/action_view/renderer/abstract_renderer.r
14.1/1ib/active_support/notifications.rb:159:1
14.1/1lib/active_support/notifications/instrume

14.1/1lib/active_support/notifications.rb:159:1

n "“instrument'

17:23:00 /var/lib/gems/2.1.0/gems/actionview—-4.1.14.1/1ib/action_view/renderer/abstract_renderer.r
b:38:in "~ instrument'

17:23:00 /var/lib/gems/2.1.0/gems/actionview—-4.1.14.1/1ib/action_view/renderer/partial_renderer.rb
:278:in “render'

17:23:00 /var/lib/gems/2.1.0/gems/actionview—-4.1.14.1/1ib/action_view/renderer/renderer.rb:47:in
render_partial'

17:23:00 /var/lib/gems/2.1.0/gems/actionview—-4.1.14.1/1ib/action_view/renderer/renderer.rb:21:1in
render'

17:23:00 /var/lib/gems/2.1.0/gems/actionview-4.1.14.1/1ib/action_view/helpers/rendering_helper.rb:
32:in “render'

17:23:00 /var/lib/gems/2.1.0/gems/apipie-rails-0.3.6/app/views/apipie/apipies/resource.html.erb:70
:in "block in __var_lib_gems

erb__ 1364166800221332498_93069600"'
17:23:00 /var/lib/gems/2.1.0/gems/apipie-rails-0.3.6/app/views/apipie/apipies/resource.html.erb:39

gems_apipie_rails app_views_apipie_apipies_resource_html_

:in “each’

17:23:00 /var/lib/gems/2.1.0/gems/apipie-rails-0.3.6/app/views/apipie/apipies/resource.html.erb:39
:in " __var_lib_gems
4166800221332498_93069600"
17:23:00 /var/lib/gems/2.1.0/gems/actionview—-4.1.14.1/1ib/action_view/template.rb:145:in "block in

render'

gems_apipie_rails app_views_apipie_apipies_resource_html_erb 136
17:23:00 /var/lib/gems/2.1.
“instrument'

17:23:00 /var/lib/gems/2.1.
nt'
17:23:00 /var/lib/gems/2.1.
17:23:00 /var/lib/gems/2.1.
b:55:in

n

b:38:in

n

nter.rb:20:1in

block (2 levels)

"block in instrument'
17:23:00 /var/lib/gems/2.1.0/gems/activesupport-4.1

‘instrument'

0/gems/activesupport—-4.1.
0/gems/actionview—4.1.

0/gems/actionview—4.1.
0/gems/actionview—4.1.
in render_template'
17:23:00 /var/lib/gems/2.1.0/gems/actionview—4.1.
"block in instrument'

17:23:00 /var/lib/gems/2.1.0/gems/activesupport-4.1.

14.

14
14

14.

17:23:00 /var/lib/gems/2.1.0/gems/activesupport—-4.1

n

32:in

_page'

‘instrument'
17:23:00
b:38:in
17:23:00
b:54:in
17:23:00
b:62:in
17:23:00
b:53:in
17:23:00
b:17:in
17:23:00
render_template'

17:23:00 /var/lib/gems/2.1.
render'
17:23:00 /var/lib/gems/2.1.

/var/lib/gems/2.1.0/gems/actionview—4.1.
‘instrument'

/var/lib/gems/2.1.
/var/lib/gems/2.1.

/var/lib/gems/2.1.

‘render_template'

/var/lib/gems/2.1.

‘render'

/var/lib/gems/2.1.

‘render'
17:23:00 /var/lib/gems/2.1.

17:23:00 /var/lib/gems/2.1.
17:23:00 /var/lib/gems/2.1.
17:23:00 /var/lib/gems/2.1.
te_resource_pages'

17:23:00 /var/lib/gems/2.1.

17:23:00 /var/lib/gems/2.1
ce_pages'

17:23:00
in <top
17:23:00
17:23:00
in <top
17:23:00
17:23:00
in <top
17:23:00
umentation'
17:23:00
in <top

178

17

178
17:
17:

hain'

17:
17:
178

17

178

23:
3238

23:
23:
23:

23:
23:
23:
3238
23:

00
00
00
00
00

00
00
00
00
00

/var/lib/gems/2.1.
(required) >'
/var/lib/gems/2.1.
/var/lib/gems/2.1.
(required)>"'
/var/lib/gems/2.1.
/var/lib/gems/2.1
(required) >'
/var/lib/gems/2.1.

/var/lib/gems/2.1.
(required)>"'

/var/lib/gems/2.
/var/lib/gems/2.
/var/lib/gems/2.
/var/lib/gems/2.
/var/lib/gems/2.

R e e e

/usr/lib/ruby/2.
/var/lib/gems/2.
/var/lib/gems/2.
/var/lib/gems/2.
/var/lib/gems/2.

e

top_level'

17:23:00 /var/lib/gems/2.

[

17:23:00 /var/lib/gems/2.1.
17:23:00 /var/lib/gems/2.1.
0/gems/actionview—4.1.
"block in render_template'
0/gems/actionview—4.1.
‘render_with_layout'
0/gems/actionview—4.1.
0/gems/actionview—4.1.
0/gems/actionview—4.1.
0/gems/actionview—4.1.
0/gems/actionview—4.1.
0/gems/apipie-rails-0.
0/gems/apipie-rails-0.
0/gems/apipie-rails-0.

0/gems/apipie-rails-0.

0/gems/apipie-rails-0.
.0/gems/apipie-rails-0.

0/gems/apipie-rails-0.

0/gems/apipie-rails-0.
0/gems/apipie-rails-0.

0/gems/apipie-rails-0.
.0/gems/apipie-rails-0.

0/gems/apipie-rails-0.

0/gems/apipie-rails-0.

14.

14

14.

14.

14.

14.

14.

14.

3o

14.1/1ib/active_support/notifications.rb:161:1

1/1lib/action_view/template.rb:339:in "“instrume

.1/lib/action_view/template.rb:143:in  render'

.1/1lib/action_view/renderer/template_renderer.r

1/1ib/action_view/renderer/abstract_renderer.r

14.1/1ib/active_support/notifications.rb:159:1

.14.1/1ib/active_support/notifications/instrume

.14.1/1ib/active_support/notifications.rb:159:1

1/1ib/action_view/renderer/abstract_renderer.r

.1/1lib/action_view/renderer/template_renderer.r

.6/lib/tasks/apipie.
.6/1lib/tasks/apipie.
.6/1lib/tasks/apipie.
.6/1lib/tasks/apipie.

.6/lib/tasks/apipie.
.6/lib/tasks/apipie.

.6/1lib/tasks/apipie.

.6/1lib/tasks/apipie.
.6/1lib/tasks/apipie.

.6/lib/tasks/apipie.
.6/lib/tasks/apipie.

.6/1lib/tasks/apipie.

6/1lib/tasks/apipie.

1/1lib/action_view/renderer/template_renderer.r
1/1lib/action_view/renderer/template_renderer.r
1/1lib/action_view/renderer/template_renderer.r
1/1ib/action_view/renderer/renderer.rb:42:in
1/1lib/action_view/renderer/renderer.rb:23:in

1/1lib/action_view/helpers/rendering_helper.rb:

.0/gems/rake-10.
.0/gems/rake-10.

.0/gems/rake-10.
.0/gems/rake-10.
.0/gems/rake-10.

(G ENC NG BN R C) ]

.0/monitor.rb:211:
.0/gems/rake-10.5.
.0/gems/rake-10.5
.0/gems/rake-10.5.
.0/gems/rake-10.5

.0/gems/rake-10.5

Ul

0/gems/rake-10.

0/gems/rake-10.5.

.0/1lib/rake/task.
.0/1lib/rake/task.

rb:
rb:

240:1
240:

.0/1lib/rake/task.
.0/1lib/rake/task.
.0/1lib/rake/task.

rb:
rb:
rb:

in “mon_synchronize'

0/lib/rake/task.rb:172:
.0/1lib/rake/task.rb:165:1
rb:
rb:

0/1lib/rake/application.
.0/1lib/rake/application.

.0/1lib/rake/application.
.0/1lib/rake/application.
0/l1lib/rake/application.

235:
235:
179:

in
in
in
in
in

in
in

rb:
rb:
rb:

rake:120:in “block in render
rake:116:in " open'
rake:116:in "render_page'
rake:163:in ‘block in genera
rake:157:in ‘each'
rake:157:in ‘generate_resour
rake:90:in “block (5 levels)
rake:81l:in “each'’

rake:81l:in “block (4 levels)
rake:66:in "each'

rake:66:in “block (3 levels)
rake:191:in “with_loaded_doc
rake:64:in “block (2 levels)
‘call!

"block in execute'

‘each'

‘execute'

"block in invoke_with_call_c
‘invoke_with_call_chain'
‘invoke'

150:in " invoke_task'

106:in “block (2 levels) in
106:in “each'

106:in "block in top_level'
115:in “run_with_threads'
17:23:00
17:23:00
17:23:00
andling'
17:23:00
17:23:00
17:23:00
17:23:00
17:23:00
17:23:00
17:23:00
17:23:00
17:23:00

/var/lib/gems/2.1.
/var/lib/gems/2.1.
/var/lib/gems/2.

/var/lib/gems/2.1.
/var/lib/gems/2.1.
/usr/local/bin/rake:23:1in
/usr/local/bin/rake:23:1in
Tasks: TOP => apipie:cache
2016-02-18 17:22:52 +0000 |
2016-02-18 17:22:59 +0000 |
2016-02-18 17:22:59 +0000 |

debian/rules:11: recipe for

0/gems/rake-10.5.
0/gems/rake-10.5.
1.0/gems/rake-10.5.

0/gems/rake-10.5.
0/gems/rake-10.5.
“load’
<main>'

0/bin/rake:33:in '<top

Started
Documents loaded...
Processing docs for

target 'build/foreman' failed

#7230 did set enforce_available_locales to false, but this doesn't appear to be in effect.

0/1lib/rake/application.
0/1lib/rake/application.
0/1lib/rake/application.

0/1lib/rake/application.

rb:
rb:
rb:

rb:

100:in "top_level'
78:in “block in run'
176:in "standard_exception_h

75:in "run

(required)>"'

Related issues:
Related to Foreman - Feature #12873: Update Rails to 4.1.latest

Closed

12/18/2015

Associated revisions

Revision 546def59 - 02/22/2016 03:51 AM - Dominic Cleal

fixes #13804 - set enforce_available_locales in app config

Rails 4.1.9 in rails/rails@4399a23 sets |18n.enforce_available locales
to the value in the Rails app config, which now defaults to true,
overwriting the false value set in the initialiser. Set it in the app

config to ensure it remains off (since fast_gettext always sets the

best valid locale).

The translation of known locale names which triggers the error on en_GB
and pt_BR is also fixed, as fast_gettext uses underscores and i18n uses

hyphens.

Revision 3b90d258 - 02/24/2016 12:32 PM - Dominic Cleal

fixes #13804 - set enforce_available_locales in app config

Rails 4.1.9 in rails/rails@4399a23 sets |18n.enforce_available_locales
to the value in the Rails app config, which now defaults to true,
overwriting the false value set in the initialiser. Set it in the app

config to ensure it remains off (since fast_gettext always sets the

best valid locale).

The translation of known locale names which triggers the error on en_GB
and pt_BR is also fixed, as fast_gettext uses underscores and i18n uses

hyphens.

(cherry picked from commit 546def5913cc9b1a6436374550a9827ed13b4099)

History

#1 - 02/19/2016 06:52 AM - Dominic Cleal
- Related to Feature #12873: Update Rails to 4.1.latest added

#2 - 02/19/2016 08:02 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/3211 added

#3 - 02/22/2016 04:02 AM - Dominic Cleal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 546def5913cc9b1a6436374550a9827ed13b4099.

05/18/2024
